Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » PLEASE HELP! Build Path Error(Build path error when trying to add import, getters setters, etc)
PLEASE HELP! Build Path Error [message #1826279] Wed, 22 April 2020 17:30 Go to next message
Cody Wise is currently offline Cody WiseFriend
Messages: 1
Registered: April 2020
Junior Member
I am a complete Java/Gradle noob. I have Eclipse 2020 installed and working on simple hello world apps with some basic Gradle task. it works as expected.

But when I went to open our API repo, I am hitting this error every time I try to import a package, or even use a getter and setter generator. I have attached some images I feel are relevant.

PLEASE HELP
Re: PLEASE HELP! Build Path Error [message #1826288 is a reply to message #1826279] Wed, 22 April 2020 20:28 Go to previous message
Emmanuel Chebbi is currently offline Emmanuel ChebbiFriend
Messages: 118
Registered: February 2018
Senior Member
The error shown in Screen Shot 2020-04-22 at 11.20.43 AM.png occurs when you're working on a file that does not belong to a Java project. That can happen either when the file does not belong to any project or when the project does not have the Java nature. According to Screen Shot 2020-04-22 at 11.24.37 AM.png I would say that you're facing the latter.

I'm not use to Gradle at all but according to this article on using Gradle in Eclipse IDE I would say that your build.gradle is missing the following lines:
apply plugin: 'java'
apply plugin: 'eclipse'

Otherwise, could you explain precisely what you mean by "open our API repo" and "import a package" so that we know exactly what you've tried?

[Updated on: Fri, 24 April 2020 08:35]

Report message to a moderator

Previous Topic:Eclipse IDE using for Mathematica wolfram workbench
Next Topic:Offline Plugin Install
Goto Forum:
  


Current Time: Sun Jul 05 06:49:36 GMT 2020

Powered by FUDForum. Page generated in 0.02723 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top